2009-08-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.4.0 (devel)

2009-07-04 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* BUILD: added CUPS_OPTS
	* CONFIGURE: plenty of extra options
	* DEPENDS: some dependencies are completely optional

2009-07-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.3.11

2009-06-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.4rc1 (devel)

2009-05-29 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Install libraries to $INSTALL_ROOT/usr/lib instead of
	  $INSTALL_ROOT/usr/lib64 on 64bit arch

2009-05-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.4b3 (devel)

2009-04-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.3.10

2009-02-06 Eric Sandall <sandalle@sourcemage.org>
	* serial.patch: Include linux/types.h before linux/serial.h
	  Based on Julien's hal/probe-serial.patch
	  Fixes Bug#15065
	* PRE_BUILD: Apply serial.patch

2008-12-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.4b2 (devel)

2008-10-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.4b1 (devel)
	* PREPARE: added, support for devel/stable versions
	* DEPENDS: add optional libusb
	  POSTSCRIPT-INTERPRETER -> ghostscript

2008-10-10 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.3.9; renewed SOURCE_URL[0]; SECURITY_PATCH+=1

2008-08-22 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: added two mirrors of the first and moved it to the last
	  place; the source copy was corrupted #14647

2008-08-18 Julien "_kaze_" ROZO <julien@rozo.org>
	* BUILD: switched --without-rcdir and $OPTS to follow best practice
	* DEPENDS: fixed suggest_depends, so "to print Postscript files" is
	  not passed as a configure flag

2008-07-23 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.3.8, quoting the paths!

2008-04-02 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* DETAILS: updated to 1.3.7, SECURITY_PATCH=1, fixes
	  CVE-2008-0047 and CVE-2008-1373

2008-02-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.3.6

2008-01-28 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* TRIGGERS: removed is_depends_enabled.function reference

2007-12-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.3.5

2007-11-11 David Kowis <dkowis@shlrm.org>
	* BUILD was very much broke. Not sure if it's even the right spot
	  for what's there.

2007-10-31 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.3.4

2007-09-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.3.3

2007-09-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.3.2

2007-09-15 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.3.1. Removed all broken mirrors.

2007-08-14 David Brown <dmlb2000@gmail.com>
	* DEPENDS: fixed syntax errors in previous commit

2007-08-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.3.0
	* DEPENDS: add pkgconfig, optional openldap
	* BUILD: remove sedit, it breaks configure
	  remove obsolete comments

2007-08-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update description

2007-07-12 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add optional gnutls
	  fixes bug #13105

2007-07-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: remove mention of espgs
	* DEPENDS: add 'suggest_depends  POSTSCRIPT-INTERPRETER'
	  fixes bug #13308

2007-07-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.12

2007-05-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.11

2007-03-31 Elisamuel Resto <ryuji@mages.ath.cx>
	* DEPENDS: Fixed a typo in the description for the openslp depend

2007-03-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.10

2007-03-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.9

2007-02-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.8
	* CONFIGURE: add French language support

2007-02-14 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on openslp (cupsd links against it)

2006-11-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.7
	  add SOURCEFORGE_URL
	  disable easysoft urls, they don't seem to be updated anymore

2006-11-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.6

2006-10-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.5

2006-10-20 Juuso Alasuutari <iuso@sourcemage.org>
	* TRIGGERS: Rewritten to use is_depends_enabled, sources
	  is_depends_enabled.function (remove it when is_depends_enabled
	  is in stable sorcery).

2006-10-05 Juuso Alasuutari <iuso@sourcemage.org>
	* DEPENDS: Added optional_depends acl.

2006-09-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versioon 1.2.4

2006-09-19 Juuso Alasuutari <iuso@sourcemage.org>
	* TRIGGERS: Added check_self for gnutls cast.

2006-09-10 George Sherwood <george@beernabeer.com>
	* CONFIGURE: Added option to build no languages.  Changed from
	  config_query_multi since it wasn't working.  Added all option.
	  Addresses Bug #12935.
	* BUILD: Added options to build no, all or one extra language.

2006-08-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versioon 1.2.3

2006-07-26 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: stop install of xinetd scrip
	* xinetd/cups-lpd: add

2006-07-26 Treeve Jelbert <treeve@sourcemage.org>
	* CONFIGURE: add
	  allow user choice of installed languages
	  the choice 'none' is currently disabled, configure fails with it
	  also only one language currently works
	* BUILD: add --without-rcdir
	  fixes bug #12911
	  add code for languages

2006-07-25 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add optional dbus

2006-07-19 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added g++ #12871

2006-07-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versioon 1.2.2

2006-06-25 George Sherwood <george@beernabeer.com>
	* DEPENDS: Removed depends gcc34
	* CONFLICTS: Added conflict cups-old
	* PROVIDES: Added file to provide CUPS

2006-06-24 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.2.1.  Removed GCC_VERSION.
	  Works with 4.0.3
	* xpdf-pl3.patch: Removed. Not needed.
	* Makefile.diff: Removed.  Not needed.
	* PRE_BUILD: Removed.  Patches not required.

2006-06-16 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* PRE_BUILD: removed the conflict managment
	* CONFLICTS: readded
	* TRIGGERS: cleaned up

2006-04-28 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: replaced 'gaze depends' call with
	  fast_up_depends, bug #10661

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2005-10-09 Jason Flatt <jflatt@sourcemage.org>
	* DEPENDS: Added missing deps on zlib, jpeg, tiff and libpng.

2005-09-26 Jason Flatt <jflatt@sourcemage.org>
	* BUILD, PRE_BUILD: Moved the Makefile patch code to PRE_BUILD.
	* DETAILS, cups-1.1.23-source.tar.bz2.sig: Converted from MD5 to GPG.
	  Updated SOURCE_URLs.
	* DETAILS, DEPENDS: Removed dependency on espgs and noted it in the
	  long description.
	* INSTALL: Removed, as it doesn't seem to be necessary.

2005-09-16 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* init.d/cups: added some handling for the case where hplip is
	  installed

2005-08-25 Jason Flatt <jflatt@sourcemage.org>
	* DEPENDS: Removed dependency on Samba (since cups really does nothing
	  with it) (bug # 8245).
	* INSTALL: Removed code for creating Samba symlink (also bug # 8245).

2005-07-30 Treeve Jelbert <treeve@sourcemage.org>
	* PREPARE: deleted

2005-07-22 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENDS,DETAILS: use GCC 3.4, to work on AMD64 in particular;
	* DETAILS: remove ARCHIVE=off.

2005-02-22 Eric Sandall <sandalle@sourcemage.org>
	* xpdf-pl3.patch: Updated to CUPS 1.1.23
	* PRE_BUILD: Patch now applies with -p1
	  cd to SOURCE_DIRECTORY (Bug #8299)

2005-02-21 Seth Woolley <seth@tautology.org>
	* DETAILS: update UPDATED for SECURITY FIX
	* PRE_BUILD: added patching for patch below
	* xpdf-pl3.patch: added for security fix
	  authenticated access can overflow xpdftops routine

2005-01-29 Arjan Bouter <abouter@sourcemage.org>
	* INSTALL: converted spell_installed to spell_ok

2005-01-23 Arjan Bouter <abouter@sourcemage.org>
	* lowercase linux-pam

2004-01-05 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.1.23 SECURITY FIX (Bug #7912)
	  Expanded SHORT

2004-11-22 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Changed `exit 1` to `return 1` (Bug #7649)

2004-10-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.2
	  adjust urls to use $VERSION

2004-09-16 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Version bump to 1.2.1 (bug # 7374).
	  Corrected SOURCE_URL[0], moved it to position [3], created [0], [1]
	  & [2] and arranged them in the order most likely to succeed.

2004-08-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.1rc2

2004-08-15 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Correctly spelled BUILD_API (bug # 7233).
	  Removed MAINTAINER.
	* BUILD, DEPENDS, TRIGGERS: Cleaned up whitespace.
	* INSTALL: Simplified and cleaned up whitespace.

2004-06-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.1rc1
	  BUILD_API=2
	* BUILD: simplify
	* INSTALL: add

2003-11-24 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Version bump to 1.1.20.

2003-11-10 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Version bump to 1.1.20rc6.

2003-10-27 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Updated MD5 and VERSION to 1.1.20rc5.

2003-10-20 Jason Flatt <jason@flattfamily.com>
	* HISTORY: Reformatted this file based on new standard.

2003-10-09 Jason Flatt <jason@flattfamily.com>
	* DETAILS: updated UPDATED so hpoj users don't get hosed
	* init.d/cups: added check for hpoj in NEEDS

2003-09-19 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Version bump to 1.1.20rc2.

2003-09-06 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Version bump to 1.1.20rc1.

2003-08-22 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update UPDATED purely for test grimoire integration.

2003-08-10 hgg <hgreig@bigpond.net.au>
	* Revert on_dispel Linux-PAM cast_self (doesn't work the way it is
	  documented)

2003-07-28 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/cups: updated to new init system

2003-07-26 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Update for Linux-PAM

2003-06-23 hgg <hgreig@bigpond.net.au>
	* DETAILS: ARCHIVE="off" fix in bugzilla bug #1068, reverting change 13315,
	  keeping 13321.
	* PREPARE: Added to remove cache after fixing bug #1068

2003-05-27 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Version bump to 1.1.19. Includes previous security fix.

2003-05-27 Arwed v. Merkatz <v.merkatz@gmx.net>
	* Apply security fix, see http://www.cups.org/str.php?L75

2003-05-19 Jason Flatt <jason@flattfamily.com>
	* BUILD: Update for ${INSTALL_ROOT}.

2003-04-25 Jason Flatt <jason@flattfamily.com>
	* Removed all references to cupsomatic since I am unable to find the file
	  on any public Web or FTP site, and since it has been replaced with
	  foomatic-rip.
	* Also, some minor code clean up.

2003-05-14 Seth Woolley <seth@tautology.org>
	* BUILD: Added unpack for SOURCE2

2003-05-02 Rob Verkuylen <rob@verkuylen.net>
	* Copied /init.d/cups.sh to /init.d/cups. Step 1/3 in bug #3115.

2003-04-25 Jason Flatt <jason@flattfamily.com>
	* DETAILS: Updated MAINTAINER e-mail address.

2003-04-25 Seth Woolley <seth@tautology.org>
	* DETAILS: Modified to fix md5 for SOURCE2.

2003-03-04 Jason Flatt <jason@flattfamily.com>
	* Changed where the cupsomatic file was being installed (thanks to
	  Christian Sonne [FreakCERS] for the heads up).

2003-02-25 Jason Flatt <jasonflatt@wizard.com>
	* Forgot to change the script from SGL to SMGL.

2003-02-25 Jason Flatt <jasonflatt@wizard.com>
	* Updated to use new init.d functionality.

2003-01-30 Seth Woolley <seth@tautology.org>
	* DETAILS: Added md5[1] for cupsomatic.

2003-01-17 Jason Flatt <jasonflatt@wizard.com>
	* lib_runlevel: Modified to pad date with zeros (%H) instead of spaces
	  (%k). Fixes bug 2257, thanks to Robert Helgesson (rycee).

2002-12-20 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Version update to 1.1.18.

2002-11-01 Jason Flatt <jasonflatt@wizard.com>
	* BUILD: Modified to use lib_runlevel for both parts of init script
	  installation.

2002-11-01 Jason Flatt <jasonflatt@wizard.com>
	* BUILD: Fixed to take care of bug # 1542.
	* POST_INSTALL, PRE_REMOVE: Fixed to account for cups init script name
	  change (thanks to Tom Garland).
	* Added a second cups init script to account for another bug which was
	  discovered during the fixing and testing of the above two bugs. :^)

2002-10-25 Jason Flatt <jasonflatt@wizard.com>
	* HISTORY: Set correct date for MD5 removal entry.

2002-10-25 Jason Flatt <jasonflatt@wizard.com>
	* BUILD: Modified for init script stuff as per Neal Birch's recomendations.

2002-10-25 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Removed MD5 for cupsomatic as it changes frequently and I
	  don't want to keep the spell from casting when I will not be able to
	  keep up on the MD5.

2002-10-23 Jason Flatt <jasonflatt@wizard.com>
	* TRIGGERS: Added for optional_depends LinuxPAM.

2002-10-20 Jason Flatt <jasonflatt@wizard.com>
	* Changed the way the init script is done to address bug # 1358.

2002-10-14 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Modified to address bug # 1180.

2002-10-07 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Updated VERSION to 1.1.16.

2002-10-03 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Updated MD5 for cupsomatic.

2002-09-24 Jason Flatt <jasonflatt@wizard.com>
	* CONFIGURE: Moved symlink queries to (hopefully fixes bug # 895).
	* cupsomatic: Removed and set it up to be downloaded during cast.
	* Makefile.diff: Re-added. (I have no idea what happened to that file.)

2002-09-08 Eric Sandall <sandalle@sourcemage.org>
	* Fixed Bug #856

2002-08-27 Jason Flatt <jasonflatt@wizard.com>
	* DEPENDS: Cleaned up. Changed espgs from optional_depends to depends.
	* HISTORY: Reformatted this file.

2002-08-17 Jason Flatt <jasonflatt@wizard.com>
	* cupsomatic: Compressed as it is rather large. Doing my part for the
	  dial-up users of the world. :^)

2002-08-16 Jason Flatt <jasonflatt@wizard.com>
	* cupsomatic: Added to spell for easy access during install.

2002-08-15 Jason Flatt <jasonflatt@wizard.com>
	* DEPENDS: Modified how CUPS is installed w/Samba to eliminate a
	  (unreported) bug in the original code.
	* PRE_BUILD: Modified the conflict checking to hopefully work a little
	  better.
	* Added a suggestion from Eric Sandall to hopefully kill bug # 237.
	* Revamped how the init scripts are installed and setup.

2002-08-02 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Changed LICENSE= and MD5= to LICENSE[x]= and MD5[x]=.
	* HISTORY: Reformatted this file.

2002-06-24 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Forgot to add ARCHIVE="off" for previous bug fix.

2002-06-23 Jason Flatt <jasonflatt@wizard.com>
	* CONFLICTS: Removed to modify the way cups and gnulpr handle conflicts
	  with each other (fixes bug # 207).
	* PRE_BUILD: Added to modify the way cups and gnulpr handle conflicts with
	  each other (fixes bug # 207).

2002-06-22 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Added LICENSE and MD5 to DETAILS.

2002-06-10 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Updated VERSION to 1.1.15 (and source to include -1 on version).

2002-06-10 Jason Flatt <jasonflatt@wizard.com>
	* USEGCC2: Removed as it compiles w/gcc 3.1 and executes.

2002-05-29 Jason Flatt <jasonflatt@wizard.com>
	* USEGCC2: Added in preparation for gcc3 upgrade.

2002-05-08 Jason Flatt <jasonflatt@wizard.com>
	* HISTORY: Reformatted to conform to new template.

2002-04-21 Jason Flatt <jasonflatt@wizard.com>
	* CONFLICTS: Added.
	* DETAILS: Updated long description for improved readability.
	* HISTORY: Corrected this file.

2002-04-16 Jason Flatt <jasonflatt@wizard.com>
	* DEPENDS: Added support for SAMBA printers as per Giovanni Lopedote.

2002-03-24 Jason Flatt <jasonflatt@wizard.com>
	* DETAILS: Added MAINTAINER=jasonflatt@wizard.com to DETAILS file.
	* HISTORY: Added this file.
